Batch lists all resource-attributes for multiple entities. Excludes archived by default.
curl --request POST \
--url https://api.siftstack.com/api/v1/entities/batch-resource-attributes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entities": [
{
"entityId": "<string>",
"entityType": "RESOURCE_ATTRIBUTE_ENTITY_TYPE_UNSPECIFIED"
}
],
"includeArchived": true
}
'import requests
url = "https://api.siftstack.com/api/v1/entities/batch-resource-attributes"
payload = {
"entities": [
{
"entityId": "<string>",
"entityType": "RESOURCE_ATTRIBUTE_ENTITY_TYPE_UNSPECIFIED"
}
],
"includeArchived": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/entities/batch-resource-attributes"
payload := strings.NewReader("{\n \"entities\": [\n {\n \"entityId\": \"<string>\",\n \"entityType\": \"RESOURCE_ATTRIBUTE_ENTITY_TYPE_UNSPECIFIED\"\n }\n ],\n \"includeArchived\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"results": [
{
"entity": {
"entityId": "<string>",
"entityType": "RESOURCE_ATTRIBUTE_ENTITY_TYPE_UNSPECIFIED"
},
"resourceAttributes": [
{
"resourceAttributeId": "<string>",
"organizationId": "<string>",
"entity": {
"entityId": "<string>",
"entityType": "RESOURCE_ATTRIBUTE_ENTITY_TYPE_UNSPECIFIED"
},
"resourceAttributeKeyId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"key": {
"resourceAttributeKeyId": "<string>",
"organizationId": "<string>",
"displayName": "<string>",
"type": "RESOURCE_ATTRIBUTE_KEY_TYPE_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedDate": "2023-11-07T05:31:56Z",
"modifiedByUserId": "<string>",
"description": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"resourceAttributeEnumValueId": "<string>",
"booleanValue": true,
"numberValue": "<string>",
"enumValueDetails": {
"resourceAttributeEnumValueId": "<string>",
"resourceAttributeKeyId": "<string>",
"displayName": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedDate": "2023-11-07T05:31:56Z",
"modifiedByUserId": "<string>",
"description": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}ResourceAttributeService
Batch lists all resource-attributes for multiple entities. Excludes archived by default.
POST
/
api
/
v1
/
entities
/
batch-resource-attributes
Batch lists all resource-attributes for multiple entities. Excludes archived by default.
curl --request POST \
--url https://api.siftstack.com/api/v1/entities/batch-resource-attributes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entities": [
{
"entityId": "<string>",
"entityType": "RESOURCE_ATTRIBUTE_ENTITY_TYPE_UNSPECIFIED"
}
],
"includeArchived": true
}
'import requests
url = "https://api.siftstack.com/api/v1/entities/batch-resource-attributes"
payload = {
"entities": [
{
"entityId": "<string>",
"entityType": "RESOURCE_ATTRIBUTE_ENTITY_TYPE_UNSPECIFIED"
}
],
"includeArchived": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/entities/batch-resource-attributes"
payload := strings.NewReader("{\n \"entities\": [\n {\n \"entityId\": \"<string>\",\n \"entityType\": \"RESOURCE_ATTRIBUTE_ENTITY_TYPE_UNSPECIFIED\"\n }\n ],\n \"includeArchived\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"results": [
{
"entity": {
"entityId": "<string>",
"entityType": "RESOURCE_ATTRIBUTE_ENTITY_TYPE_UNSPECIFIED"
},
"resourceAttributes": [
{
"resourceAttributeId": "<string>",
"organizationId": "<string>",
"entity": {
"entityId": "<string>",
"entityType": "RESOURCE_ATTRIBUTE_ENTITY_TYPE_UNSPECIFIED"
},
"resourceAttributeKeyId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"key": {
"resourceAttributeKeyId": "<string>",
"organizationId": "<string>",
"displayName": "<string>",
"type": "RESOURCE_ATTRIBUTE_KEY_TYPE_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedDate": "2023-11-07T05:31:56Z",
"modifiedByUserId": "<string>",
"description": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"resourceAttributeEnumValueId": "<string>",
"booleanValue": true,
"numberValue": "<string>",
"enumValueDetails": {
"resourceAttributeEnumValueId": "<string>",
"resourceAttributeKeyId": "<string>",
"displayName": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedDate": "2023-11-07T05:31:56Z",
"modifiedByUserId": "<string>",
"description": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
A successful response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I